Package net.snowflake.client.log

## Class SLF4JJCLWrapper

- java.lang.Object
- - net.snowflake.client.log.SLF4JJCLWrapper

All Implemented Interfaces:
  `org.apache.commons.logging.Log`

    public class SLF4JJCLWrapper
    extends Object
    implements org.apache.commons.logging.Log

### Constructor Summary

Constructors
`SLF4JJCLWrapper​(String name)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `debug​(Object message)`
`void` `debug​(Object msg, Throwable t)`
`void` `error​(Object msg)`
`void` `error​(Object msg, Throwable t)`
`void` `fatal​(Object msg)`
`void` `fatal​(Object msg, Throwable t)`
`void` `info​(Object msg)`
`void` `info​(Object msg, Throwable t)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isFatalEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isTraceEnabled()`
`boolean` `isWarnEnabled()`
`void` `trace​(Object msg)`
`void` `trace​(Object msg, Throwable t)`
`void` `warn​(Object msg)`
`void` `warn​(Object msg, Throwable t)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SLF4JJCLWrapper

    public SLF4JJCLWrapper​(String name)

### Method Detail

#### debug

    public void debug​(Object message)

Specified by:
  `debug` in interface `org.apache.commons.logging.Log`

#### debug

    public void debug​(Object msg,
                      Throwable t)

Specified by:
  `debug` in interface `org.apache.commons.logging.Log`

#### error

    public void error​(Object msg)

Specified by:
  `error` in interface `org.apache.commons.logging.Log`

#### error

    public void error​(Object msg,
                      Throwable t)

Specified by:
  `error` in interface `org.apache.commons.logging.Log`

#### fatal

    public void fatal​(Object msg)

Specified by:
  `fatal` in interface `org.apache.commons.logging.Log`

#### fatal

    public void fatal​(Object msg,
                      Throwable t)

Specified by:
  `fatal` in interface `org.apache.commons.logging.Log`

#### info

    public void info​(Object msg)

Specified by:
  `info` in interface `org.apache.commons.logging.Log`

#### info

    public void info​(Object msg,
                     Throwable t)

Specified by:
  `info` in interface `org.apache.commons.logging.Log`

#### trace

    public void trace​(Object msg)

Specified by:
  `trace` in interface `org.apache.commons.logging.Log`

#### trace

    public void trace​(Object msg,
                      Throwable t)

Specified by:
  `trace` in interface `org.apache.commons.logging.Log`

#### warn

    public void warn​(Object msg)

Specified by:
  `warn` in interface `org.apache.commons.logging.Log`

#### warn

    public void warn​(Object msg,
                     Throwable t)

Specified by:
  `warn` in interface `org.apache.commons.logging.Log`

#### isDebugEnabled

    public boolean isDebugEnabled()

Specified by:
  `isDebugEnabled` in interface `org.apache.commons.logging.Log`

#### isErrorEnabled

    public boolean isErrorEnabled()

Specified by:
  `isErrorEnabled` in interface `org.apache.commons.logging.Log`

#### isFatalEnabled

    public boolean isFatalEnabled()

Specified by:
  `isFatalEnabled` in interface `org.apache.commons.logging.Log`

#### isInfoEnabled

    public boolean isInfoEnabled()

Specified by:
  `isInfoEnabled` in interface `org.apache.commons.logging.Log`

#### isTraceEnabled

    public boolean isTraceEnabled()

Specified by:
  `isTraceEnabled` in interface `org.apache.commons.logging.Log`

#### isWarnEnabled

    public boolean isWarnEnabled()

Specified by:
  `isWarnEnabled` in interface `org.apache.commons.logging.Log`